
/***********************************************************
*	Copyright 2011  C. Scott Weber
*	Arlington TX.  76018
*
*	Permissionis granted to use the code 
*	for other purposes provided appropiate credit is
*	given in any publish or sold materials
*	
*	No warrantee is given for the usefulenss or reliability 
*	of anything provided here.
*
****************************************************/
#ifndef _EXTERN_INCLUDED
#define _EXTERN_INCLUDED

#define ADDR 0x21

#define POWERUP		1
#define WATCHDOG		2
#define RESET			3
#define BROWNOUT		4

#define BUTTON0X	0x54
#define BUTTON1X	0x5b
#define BUTTON2X	0x63

#define ALARM		0x01

#define ALARM_ON	machine & ALARM
#define LIGHT1		0
#define LIGHT2		1
#define GARAGE1		2
#define GARAGE2		3

typedef enum  {
	CMD_WAITING = 0,
	CMD_READ_ADDR,
	CMD_READ_CMD,
	CMD_COMPLETE
} CMD_STATE;

typedef struct {
	unsigned char status;
	unsigned char resets[4];
	unsigned char buffer[3];
} CLIENT;
	

extern CLIENT client[5];
extern char timestr[6];
extern unsigned char  index, count, slot;

extern unsigned char hour, min, sec;
extern unsigned char nowhour, nowmin, nowsec;

extern unsigned char machine;



extern CMD_STATE cmd_state;

extern unsigned char gaddr;

extern unsigned char hour, min, sec;

#endif